# List income documents

- Sandbox: `GET https://sandbox.payme.io/api/partner/api/documents/income`
- Production: `GET https://live.payme.io/api/partner/api/documents/income`

## Credentials

- Header `Authorization: Bearer <token>`

Retrieve a list of income documents for a seller

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `sellerPaymeId` | query | string | no | Seller PayMe ID |
| `sellerId` | query | string | no | Seller ID |
| `docNum` | query | string | no | Document number filter |
| `page` | query | integer | no | Page number |
| `limit` | query | integer | no | Items per page |

## Code samples

### curl

```bash
curl -X GET 'https://sandbox.payme.io/api/partner/api/documents/income' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'
```

### Node.js

```javascript
const response = await fetch("https://sandbox.payme.io/api/partner/api/documents/income", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
});

console.log(await response.text());
```

### Python

```python
import requests

response = requests.get(
    "https://sandbox.payme.io/api/partner/api/documents/income",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
)

print(response.text)
```

### PHP

```php
<?php

$ch = curl_init('https://sandbox.payme.io/api/partner/api/documents/income');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
```

## Responses

### 200 — Successful response (success)

| Field | Type | Description |
| --- | --- | --- |
| `payload` | object |  |
| `payload.page` | integer |  |
| `payload.limit` | integer |  |
| `payload.total` | integer |  |
| `payload.items` | array |  |
| `payload.items[].id` | string |  |
| `payload.items[].docType` | string |  |
| `payload.items[].docNumber` | string |  |
| `payload.items[].valueDate` | string |  |
| `payload.items[].totalAmount` | number |  |
| `payload.items[].vatAmount` | number |  |
| `payload.items[].currency` | string |  |
| `payload.items[].status` | string |  |

### 400 — Bad Request (error)

| Field | Type | Description |
| --- | --- | --- |
| `statusCode` | integer | HTTP status code |
| `message` | string | Error message(s) |
| `error` | string | Error type |

```json
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}
```

### 401 — Unauthorized (error)

| Field | Type | Description |
| --- | --- | --- |
| `error` | string |  |
| `error_description` | string |  |

```json
{
  "error": "unauthorized_client",
  "error_description": "Client authentication failed"
}
```
